# class Resolv::DNS::Name

A representation of a `DNS` name.

### Public Class Methods

create (arg)
Source

    # File lib/resolv.rb, line 1271
    def self.create(arg)
      case arg
      when Name
        return arg
      when String
        return Name.new(Label.split(arg), /\.\z/ =~ arg ? true : false)
      else
        raise ArgumentError.new("cannot interpret as DNS name: #{arg.inspect}")
      end
    end

Creates a new `DNS` name from `arg`. `arg` can be:

`Name`

  returns `arg`.

`String`

  Creates a new `Name`.

### Public Instance Methods

absolute? ()
Source

    # File lib/resolv.rb, line 1302
    def absolute?
      return @absolute
    end

True if this name is absolute.

subdomain_of? (other)
Source

    # File lib/resolv.rb, line 1328
    def subdomain_of?(other)
      raise ArgumentError, "not a domain name: #{other.inspect}" unless Name === other
      return false if @absolute != other.absolute?
      other_len = other.length
      return false if @labels.length <= other_len
      return @labels[-other_len, other_len] == other.to_a
    end

Returns true if `other` is a subdomain.

Example:

    domain = Resolv::DNS::Name.create("y.z")
    p Resolv::DNS::Name.create("w.x.y.z").subdomain_of?(domain) #=> true
    p Resolv::DNS::Name.create("x.y.z").subdomain_of?(domain) #=> true
    p Resolv::DNS::Name.create("y.z").subdomain_of?(domain) #=> false
    p Resolv::DNS::Name.create("z").subdomain_of?(domain) #=> false
    p Resolv::DNS::Name.create("x.y.z.").subdomain_of?(domain) #=> false
    p Resolv::DNS::Name.create("w.z").subdomain_of?(domain) #=> false

to_s ()
Source

    # File lib/resolv.rb, line 1363
    def to_s
      return @labels.join('.')
    end

returns the domain name as a string.

The domain name doesn’t have a trailing dot even if the name object is absolute.

Example:

    p Resolv::DNS::Name.create("x.y.z.").to_s #=> "x.y.z"
    p Resolv::DNS::Name.create("x.y.z").to_s #=> "x.y.z"